package com.simpleplugin.psi;

import com.intellij.psi.tree.IElementType;
import com.simpleplugin.SimpleLanguage;
import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;

// IDEA wants just token types here not token objects
public class SimpleTokenType extends IElementType {
	public int start, stop;

	public SimpleTokenType(@NotNull @NonNls String debugName) {
		super(debugName, SimpleLanguage.INSTANCE);
	}

//	public SimpleTokenType(@NotNull @NonNls String debugName, int start, int stop) {
//		super(debugName, SimpleLanguage.INSTANCE);
//		this.start = start;
//		this.stop = stop;
//	}

	@Override
	public String toString() {
		return "SimpleTokenType." + super.toString();
	}
}
